## ncurses 6.1+20180210

=== debian/changelog ===
ncurses (6.1+20180210-4ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build lib32 packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 May 2018 10:26:09 +0200

ncurses (6.1+20180210-4) unstable; urgency=medium

  * Take over the dvtm and dvtm-256color terminfo entries from the dvtm
    package in ncurses-term (see #897953).
  * Cherry-pick a fix from the 20180519 patchlevel: add check in
    pair_content() to handle the case where caller asks for an
    uninitialized pair (Closes: #898658).
  * Move screen.xterm-256color and rxvt-unicode-256color terminfo entries
    from ncurses-term to ncurses-base (Closes: #898666, #898948).
  * Speed up binary-indep builds by building only the configurations
    necessary to install and run tic.
    - Move the g++-muiltilib build dependency to Build-Depends-Arch.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 21 May 2018 10:54:08 +0200

ncurses (6.1+20180210-3) unstable; urgency=medium

  * Add back "Suggests: ncurses-doc" to libncurses-dev which inadvertently
    got lost in 6.1+20180210-1 (Closes: #897035).
  * Cherry-pick a fix from the 20180414 patchlevel: add a null-pointer
    check in _nc_parse_entry to handle an error when a use-name is invalid
    syntax (report by Chung-Yi Lin, CVE-2018-10754).
  * Add Breaks against versions of bash-static and zsh-static which were
    built with libtinfo before 6.1 to ncurses-{base,term}.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 10 May 2018 16:17:05 +0200

ncurses (6.1+20180210-2ubuntu2) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build lib32 packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Apr 2018 09:36:11 +0200

ncurses (6.1+20180210-2) unstable; urgency=medium

  * Run dh_autoreconf at build time to regenerate configure scripts.
    - Add a build-dependency on autoconf-dickey (>= 2.52+20170501).
    - Drop debian/README.source.
  * Drop Replaces/Breaks relationships on pre-wheezy packages.
  * Add more Breaks to ncurses-base and ncurses-term against libraries
    incompatible with the new terminfo format: libtinfo5 (<< 6.1) and
    libunibilium0 (Closes: #891380).
  * Update the watch files to version 4, and look for tarballs on
    https://invisible-mirror.net.
  * Bump debhelper compatibility level to 11.
  * Use "dh_missing --fail-missing" instead of "dh_install --fail-missing".
  * Temporarily add ncurses{w,}5-config compatibility symlinks.
  * Upgrade Standards-Version to 4.1.4, no changes needed.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 26 Apr 2018 18:07:30 +0200

ncurses (6.1+20180210-1) experimental; urgency=low

  * New upstream patchlevel.
  * Switch to the ncurses 6 ABI (Closes: #230990), but continue to ship
    ABI 5 shared library packages for now.
  * Change the section of the ABI 5 library packages to oldlibs and update
    their descriptions accordingly.
  * Merge lib{tinfo,ncurses5,ncursesw5}-dev into a new libncurses-dev
    package and turn them into transitional packages (Closes: #840429).
    Add a lintian override for the resulting duplicate-short-description
    notices.
  * Install the tinfo/tic libraries and the programs from the wide build,
    enabling the extended terminfo format introduced in ncurses 6.1.
    - Add Breaks against libslang2 (<< 2.3.1a-3) to ncurses-{base,term},
      since it chokes on the new terminfo format (see #890769).
  * Build a lib64ncursesw6 package on i386 and powerpc.
  * Merge the multilib -dev packages into single lib{32,64}ncurses-dev
    packages which have Conflicts/Replaces/Provides on the old ones.
  * Install only one set of headers of headers, built from the wide
    configuration.  Provide compatibility symlinks in usr/include/ncursesw.
    - Configure with --disable-wattr-macros to avoid potential crashes, see
      https://bugzilla.redhat.com/show_bug.cgi?id=1270534 for details.
  * Update debian/TODO.
  * Upgrade Standards-Version to 4.1.3, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 22 Feb 2018 20:23:16 +0100
