## ncurses 6.1+20180714

=== debian/changelog ===
ncurses (6.1+20180714-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Fix a case where tiparm could return null if the format-string was
      empty (Closes: #902630).
    - Reduce use of _GNU_SOURCE for current glibc where _DEFAULT_SOURCE
      combines with _XOPEN_SOURCE (Closes: #900987).
    - Modify generated ncurses*config and ncurses.pc, ncursesw.pc, etc.,
      to list helper libraries such as gpm for static linking (see #900839).
  * Refresh Debian patches.
  * Stop building special debug libraries, and mark the -dbg packages as
    Multi-Arch: same (Addresses: #849003).
  * Build the static libraries without gpm support (Closes: #900839).
  * Upgrade Standards-Version to 4.1.5, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 17 Jul 2018 18:17:02 +0200
