=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ncurses
 Section: libs
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
+Maintainer: Craig Small <csmall@debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Build-Depends: debhelper (>= 11~),
                libgpm-dev [linux-any],
                pkg-config,
                autoconf-dickey (>= 2.52+20170501),
-Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc] <!nobiarch>
-Standards-Version: 4.1.4
+Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
 Vcs-Git: https://salsa.debian.org/debian/ncurses.git
@@ -91,15 +90,14 @@
 Architecture: any
 Section: debug
 Priority: optional
+Multi-Arch: same
 Depends: libtinfo6 (= ${binary:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
+         ${misc:Depends}
 Description: debugging/profiling library for the low-level terminfo library
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
  .
- This package contains a special library version of the low-level terminfo
- library suitable for debugging and profiling. Also included are detached
- debugging symbols for libtinfo6.
+ This package contains detached debugging symbols for libtinfo6.
 
 Package: libncurses5-dev
 Architecture: any
@@ -115,15 +113,14 @@
 Architecture: any
 Section: debug
 Priority: optional
+Multi-Arch: same
 Depends: libtinfo6 (= ${binary:Version}), libncurses6 (= ${binary:Version}),
-         libtinfo6-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+         libtinfo6-dbg (= ${binary:Version}), ${misc:Depends}
 Description: debugging/profiling libraries for ncurses
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
  .
- This package contains special library versions of ncurses suitable
- for debugging and profiling. Also included are detached debugging
- symbols for libncurses6.
+ This package contains detached debugging symbols for libncurses6.
 
 Package: libncursesw6
 Architecture: any
@@ -153,15 +150,14 @@
 Architecture: any
 Section: debug
 Priority: optional
+Multi-Arch: same
 Depends: libtinfo6 (= ${binary:Version}), libtinfo6-dbg (= ${binary:Version}),
-         libncursesw6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+         libncursesw6 (= ${binary:Version}), ${misc:Depends}
 Description: debugging/profiling libraries for ncursesw
  The ncurses library routines are a terminal-independent method of
  updating character screens with reasonable optimization.
  .
- This package contains special library versions of ncursesw suitable
- for debugging and profiling. Also included are detached debugging
- symbols for libncursesw6.
+ This package contains detached debugging symbols for libncursesw6.
  .
  This package includes support for wide characters.
 
@@ -234,7 +230,7 @@
  architecture.
 
 Package: lib32tinfo6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Build-Profiles: <!nobiarch>
@@ -247,7 +243,7 @@
  This package supports the 32-bit ABI variant of your system's architecture.
 
 Package: lib32ncurses6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -263,7 +259,7 @@
  architecture.
 
 Package: lib32ncursesw6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -279,7 +275,7 @@
  architecture.
 
 Package: lib32ncurses-dev
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Section: libdevel
 Priority: optional
 Depends: lib32ncurses6 (= ${binary:Version}),
@@ -319,3 +315,12 @@
 Architecture: all
 Section: misc
 Essential: yes
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Provides: ncurses-runtime
+Breaks: libtinfo5 (<< 6.1), libslang2 (<< 2.3.1a-3), libunibilium0 (<< 2),
+        bash-static (<< 4.4.18-1.1), zsh-static (<< 5.4.2-4)
+Description: basic terminal type definitions
+ The ncurses library routines are a terminal-independent method of
+ updating character screens with reasonable optimization.
+ .
