=== debian/rules ===
--- 
+++ 
@@ -30,19 +30,15 @@
 package-lib=libncurses$(soname)
 package-lib-32=lib32ncurses$(soname)
 package-lib-64=lib64ncurses$(soname)
-package-lib-x32=libx32ncurses$(soname)
 package-ti=libtinfo$(soname)
 package-ti-32=lib32tinfo$(soname)
 package-ti-64=lib64tinfo$(soname)
-package-ti-x32=libx32tinfo$(soname)
 package-libw=libncursesw$(soname)
 package-libw-32=lib32ncursesw$(soname)
 package-libw-64=lib64ncursesw$(soname)
-package-libw-x32=libx32ncursesw$(soname)
 package-dev=libncurses5-dev
 package-dev-32=lib32ncurses-dev
 package-dev-64=lib64ncurses-dev
-package-dev-x32=libx32ncurses$(soname)-dev
 package-devti=libtinfo-dev
 package-devw=libncursesw5-dev
 package-dbg=libncurses$(soname)-dbg
@@ -54,8 +50,6 @@
 package-ti-legacy=libtinfo5
 package-libw-legacy=libncursesw5
 
-m32_flag= -m32
-
 workdir=$(shell pwd)
 tempdir=debian/tmp
 fulltempdir=$(workdir)/$(tempdir)
@@ -66,12 +60,10 @@
 objdir-static=$(srcdir)/obj-static
 objdir-32=$(srcdir)/obj-32
 objdir-64=$(srcdir)/obj-64
-objdir-x32=$(srcdir)/obj-x32
 wobjdir=$(srcdir)/obj-wide
 wobjdir-static=$(srcdir)/obj-wide-static
 wobjdir-32=$(srcdir)/obj-wide-32
 wobjdir-64=$(srcdir)/obj-wide-64
-wobjdir-x32=$(srcdir)/obj-wide-x32
 objdir-debug=$(srcdir)/obj-debug
 wobjdir-debug=$(srcdir)/obj-wide-debug
 objdir-test=$(srcdir)/obj-test
@@ -94,8 +86,6 @@
 ifeq ($(DEB_HOST_ARCH),i386)
 build_64_target = x86_64-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64 build-wide-64
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpc)
@@ -106,14 +96,6 @@
 ifeq ($(DEB_HOST_ARCH),s390)
 build_64_target = s390x-$(DEB_HOST_GNU_SYSTEM)
 build_64 = build-64 build-wide-64
-endif
-
-ifeq ($(DEB_HOST_ARCH),s390x)
-build_32_target = s390-$(DEB_HOST_GNU_SYSTEM)
-build_32 = build-32 build-wide-32
-lib32 = /lib32
-usr_lib32 = /usr/lib32
-m32_flag = -m31
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
@@ -124,8 +106,6 @@
 ifeq ($(DEB_HOST_ARCH),amd64)
 build_32_target = i486-$(DEB_HOST_GNU_SYSTEM)
 build_32 = build-32 build-wide-32
-build_x32_target = x86_64-linux-gnux32
-build_x32 = build-x32 build-wide-x32
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64)
@@ -237,16 +217,34 @@
 	cd $(objdir-static) && $(relsrcdir)/configure \
 		$(CONFARGS) \
 		--without-shared \
-		--without-dlsym
+		--without-gpm
 
 $(objdir-32)/config.status: config.guess-stamp
 	test -d $(objdir-32) || mkdir $(objdir-32)
 
 	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
 	cf_cv_working_poll=yes; export cf_cv_working_poll; \
-	cd $(objdir-32) && CC="$(HOST_CC) $(m32_flag)" \
-		BUILD_CC="gcc" CXX="$(HOST_CXX) $(m32_flag)" \
+	cd $(objdir-32) && CC="$(HOST_CC) -m32" \
+		BUILD_CC="gcc" CXX="$(HOST_CXX) -m32" \
 		$(relsrcdir)/configure \
 		$(CONFARGS) \
 		--host=$(build_32_target) \
 		--without-gpm \
+		--libdir=/usr/lib32
+
+$(objdir-64)/config.status: config.guess-stamp
+	test -d $(objdir-64) || mkdir $(objdir-64)
+
+	cf_cv_type_of_bool='unsigned char'; export cf_cv_type_of_bool; \
+	cf_cv_working_poll=yes; export cf_cv_working_poll; \
+	cd $(objdir-64) && CC="$(HOST_CC) -m64" \
+		BUILD_CC="gcc" CXX="$(HOST_CXX) -m64" \
+		$(relsrcdir)/configure \
+		$(CONFARGS) \
+		--host=$(build_64_target) \
+		--without-gpm \
+		--libdir=/usr/lib64
+
+$(objdir-debug)/config.status: config.guess-stamp
+	test -d $(objdir-debug) || mkdir $(objdir-debug)
+	cd $(objdir-debug) && \
