## ncurses 6.1+20181013

=== debian/changelog ===
ncurses (6.1+20181013-2ubuntu2) disco; urgency=medium

  * Fixup testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Feb 2019 18:10:57 +0100

ncurses (6.1+20181013-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Add a simple autopkgtest to the package.
    - Build x32 packages.
    - Build lib32 packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Feb 2019 14:20:38 +0100

ncurses (6.1+20181013-2) unstable; urgency=medium

  * Add Breaks against libmono-corlib4.5-cil (<< 4.6.2.7+dfsg-2)
    to ncurses-base and ncurses-term (Closes: #899394).
  * Add Build-Depends-Package annotations to the symbols files.
  * Add a lintian override to ncurses-examples for
    package-contains-documentation-outside-usr-share-doc.
  * Upgrade Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 11 Feb 2019 18:17:20 +0100

ncurses (6.1+20181013-1) unstable; urgency=medium

  * New upstream patchlevel.
    - Modify configure scripts to reduce relinking/ranlib during library
      install.  Together with the next change, this Closes: #903790.
  * Configure with --disable-relink.
  * Fix wrong-path-for-interpreter lintian error in ncurses-examples.
  * Add Breaks against libunibilium4 (<< 2.0.0-3) to ncurses-base and
    ncurses-term (Closes: #904337).
  * Upgrade Standards-Version to 4.2.1, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 18 Oct 2018 19:45:43 +0200
