## ncurses 6.1+20181013.1

=== debian/changelog ===
ncurses (6.1+20181013.1-1+dde+rb2) UNRELEASED; urgency=medium

  * update

 -- Craig Small <csmall@debian.org>  Fri, 22 Jan 2021 11:59:33 +0800

ncurses (6.1+20181013.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 20f26e1e9a4c2e6de3dc41cb1ce00162dad69ef1']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 17:36:56 +0000
