=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ncurses
 Section: libs
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
+Maintainer: Craig Small <csmall@debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
 Build-Depends: debhelper (>= 11~),
                libgpm-dev [linux-any],
                pkg-config,
                autoconf-dickey (>= 2.52+20170501),
-Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 s390x sparc] <!nobiarch>
+Build-Depends-Arch: g++-multilib [amd64 i386 powerpc ppc64 s390 sparc] <!nobiarch>
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/ncurses
@@ -231,7 +230,7 @@
  architecture.
 
 Package: lib32tinfo6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Build-Profiles: <!nobiarch>
@@ -244,7 +243,7 @@
  This package supports the 32-bit ABI variant of your system's architecture.
 
 Package: lib32ncurses6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -260,7 +259,7 @@
  architecture.
 
 Package: lib32ncursesw6
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Priority: optional
 Depends: lib32tinfo6 (= ${binary:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -276,7 +275,7 @@
  architecture.
 
 Package: lib32ncurses-dev
-Architecture: amd64 ppc64 s390x
+Architecture: amd64 ppc64
 Section: libdevel
 Priority: optional
 Depends: lib32ncurses6 (= ${binary:Version}),
@@ -322,3 +321,5 @@
 Breaks: libtinfo5 (<< 6.1), libslang2 (<< 2.3.1a-3), libunibilium0 (<< 2),
         libunibilium4 (<< 2.0.0-3), bash-static (<< 4.4.18-1.1),
         zsh-static (<< 5.4.2-4), libmono-corlib4.5-cil (<< 4.6.2.7+dfsg-2)
+Description: basic terminal type definitions
+ The ncurses library routines are a terminal-independent method of
